Subject: Re: bug#24146: Various window managers need startup services.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 03 Aug 2016 22:45:38 +0200

ng0 <[email-masked]> skribis:

> We have gnome and xfce with services to start them in
> gnu/services/desktop.scm.
>
> We should add services for:
>
> * xmonad
> * awesome
> * ratpoison
> * windowmaker
> * sawfish
> * openbox
> * guile-wm
> * i3-wm
> * evilwm
> * dwm
> * bspwm

Unlike full-blown desktop environments (GNOME, Xfce, KDE), I don’t think
any of these window managers needs a service, because they typically fit
in one package with just one command that needs to be launched.

Compare this with ‘gnome-service-type’, which needs to extend Polkit and
to add a whole bunch of packages to /run/current-system/profile so that
it can work.

ratpoison doesn’t need anything like that.  :-)

I’m closing this bug, but let me know if you think I’m overlooking
something!

Thank you,
Ludo’.